IPSW-OTA-EXTRACT(1)

NAME
ipsw-ota-extract - Extract OTA payload files

SYNOPSIS
ipsw ota extract [FILENAME]> [flags]

DESCRIPTION
Extract OTA payload files

OPTIONS
-y, --confirm[=false]
    Confirm searching for pattern in payloadv2 files

-c, --cryptex=""
    Extract cryptex as DMG (requires full OTA)

-x, --decomp[=false]
    Decompress pbzx files

-d, --dyld[=false]
    Extract dyld_shared_cache files

-f, --flat[=false]
    Do NOT preserve directory structure when extracting

-h, --help[=false]
    help for extract

-k, --kernel[=false]
    Extract kernelcache

-o, --output=""
    Output folder

-p, --pattern=""
    Regex pattern to match files

-r, --range=""
    Regex pattern control the payloadv2 file range to search

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--insecure[=false]
    Allow insecure connections when fetching AEA keys

--key-db=""
    Path to AEA keys JSON database (auto-lookup by filename)

--key-val=""
    Base64 encoded AEA symmetric encryption key

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw-ota(1)

HISTORY
24-Oct-2025 Auto generated by spf13/cobra